using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using xnalab.ddo.jp.control;
using xnalab.ddo.jp.view;
using xnalab.ddo.jp.util;
using GUISample.screens;

namespace GUISample.forms
{
    public class LoginForm : BasicForm
    {
        Color fontColor = Color.Black;

        // Rg[
        Label lblFPS;
        Label lblGuide;
        Button btnLogin;
        Button btnExit;

        public LoginForm(string name)
            : base(name)
        {
            // FPS\px
            lblFPS = new Label("lblFPS", "FPS: vZ...", 10, 10, Color.White);

            // ʖ\px
            lblGuide = new Label("lblGuide", "LOGIN FORM", 10, 30, Color.White);

            // Login{^
            btnLogin = new Button("btnLogin", "LOGIN", new Rectangle(250, 250, 73, 21), fontColor);
            btnLogin.MouseLeftUp += new MouseEventHandler(btnLogin_MouseUp);
            btnLogin.AnchorAllClear();

            // Exit{^
            btnExit = new Button("btnExit", "EXIT", new Rectangle(340, 250, 73, 21), fontColor);
            btnExit.MouseLeftUp += new MouseEventHandler(btnExit_MouseUp);
            btnExit.AnchorAllClear();

            // Rg[ǉ
            Add(lblFPS);
            Add(lblGuide);
            Add(btnLogin);
            Add(btnExit);
        }

        /// <summary>
        /// XV
        /// </summary>
        /// <param name="gameTime"></param>
        public override void Update(GameTime gameTime)
        {
            // FPSvZ
            lblFPS.Text = string.Format("FPS: {0}", ViewManager.FPS);

            base.Update(gameTime);
        }

        /// <summary>
        /// tH[ANeBuɕς鎞ɌĂ΂
        /// </summary>
        public override void Activate()
        {
            // {^^ɐݒ
            int x = ViewManager.ViewWidth / 2;
            int y = ViewManager.ViewHeight / 2;
            btnLogin.X = x - 80;
            btnLogin.Y = y;
            btnExit.X = x + 30;
            btnExit.Y = y;
        }

        /// <summary>
        /// {^_ECxg
        /// </summary>
        public void btnLogin_MouseUp(object sender, MouseEventArgs e)
        {
            BasicForm form = Manager.GetForm("main");
            Manager.ChangeScreen(new MainScreen(form));
        }

        /// <summary>
        /// NA{^Cxg
        /// </summary>
        public void btnExit_MouseUp(object sender, MouseEventArgs e)
        {
            Manager.ChangeScreen(null);
        }
    }
}
